Subject: bug#48342: native-comp emacs gets into an infinite loop at startup if no .el files are available

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 May 2021 20:43:28 +0300

> From: Dima Kogan <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 11 May 2021 10:29:20 -0700
> 
> > Note that if you will be distributing the *.eln files, I think the GPL
> > requires you to make the *.el files available. In fact, this is so
> > even with the *.elc files. So I'm not sure I understand how you could
> > distribute only the *.elc files until now: isn't that contrary to GPL?
> 
> The .el files are available, but the user doesn't have to install them.
> Just like the .c sources are available, but the user can install just
> the pre-built binaries if they want to.

That's a problematic interpretation of the GPL, IME: this way, how can
the user be sure he/she will be able to obtain at a later date the
sources of the exact binary he/she is running?  And the same question
for Lisp files and the corresponding *.elc/*.eln.  The only way to
make sure is to have them together.

But I don't intend to argue more about that.